From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/qcma/
Date: Wed, 6 Apr 2022 13:58:23 +0000 (UTC) [thread overview]
Message-ID: <1649253487.0ab2e0694d1b9dcbed3a0644b11082aa383c0732.asturm@gentoo> (raw)
commit: 0ab2e0694d1b9dcbed3a0644b11082aa383c0732
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 5 19:09:10 2022 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Apr 6 13:58:07 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ab2e069
app-misc/qcma: Use qt5_get_bindir to find lrelease not in PATH
Pin to dev-qt/linguist-tools SLOT 5.
Actually install translations.
Add missing || die
Closes: https://bugs.gentoo.org/836789
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
app-misc/qcma/{qcma-0.4.1-r1.ebuild => qcma-0.4.1-r2.ebuild} | 12 ++++++++++--
...re20181227-r1.ebuild => qcma-0.4.2_pre20181227-r2.ebuild} | 12 ++++++++++--
app-misc/qcma/qcma-9999.ebuild | 12 ++++++++++--
3 files changed, 30 insertions(+), 6 deletions(-)
diff --git a/app-misc/qcma/qcma-0.4.1-r1.ebuild b/app-misc/qcma/qcma-0.4.1-r2.ebuild
similarity index 79%
rename from app-misc/qcma/qcma-0.4.1-r1.ebuild
rename to app-misc/qcma/qcma-0.4.1-r2.ebuild
index ea81a432ca9f..d0bafe67a995 100644
--- a/app-misc/qcma/qcma-0.4.1-r1.ebuild
+++ b/app-misc/qcma/qcma-0.4.1-r2.ebuild
@@ -27,7 +27,7 @@ DEPEND="
"
RDEPEND="${DEPEND}"
BDEPEND="
- dev-qt/linguist-tools
+ dev-qt/linguist-tools:5
"
src_prepare() {
@@ -40,6 +40,14 @@ src_prepare() {
}
src_configure() {
- lrelease common/resources/translations/*.ts
+ $(qt5_get_bindir)/lrelease common/resources/translations/*.ts || die
eqmake5 PREFIX="${D}"/usr qcma.pro CONFIG+="QT5_SUFFIX" $(usex ffmpeg "" CONFIG+="DISABLE_FFMPEG")
}
+
+src_install() {
+ emake DESTDIR="${D}" INSTALL_ROOT="${ED}" install
+ einstalldocs
+
+ insinto /usr/share/${PN}/translations
+ doins common/resources/translations/${PN}_*.qm
+}
diff --git a/app-misc/qcma/qcma-0.4.2_pre20181227-r1.ebuild b/app-misc/qcma/qcma-0.4.2_pre20181227-r2.ebuild
similarity index 80%
rename from app-misc/qcma/qcma-0.4.2_pre20181227-r1.ebuild
rename to app-misc/qcma/qcma-0.4.2_pre20181227-r2.ebuild
index 5883caf3eddf..5413cea745d3 100644
--- a/app-misc/qcma/qcma-0.4.2_pre20181227-r1.ebuild
+++ b/app-misc/qcma/qcma-0.4.2_pre20181227-r2.ebuild
@@ -29,7 +29,7 @@ DEPEND="
"
RDEPEND="${DEPEND}"
BDEPEND="
- dev-qt/linguist-tools
+ dev-qt/linguist-tools:5
"
src_prepare() {
@@ -42,6 +42,14 @@ src_prepare() {
}
src_configure() {
- lrelease common/resources/translations/*.ts
+ $(qt5_get_bindir)/lrelease common/resources/translations/*.ts || die
eqmake5 PREFIX="${D}"/usr qcma.pro CONFIG+="QT5_SUFFIX" $(usex ffmpeg "" CONFIG+="DISABLE_FFMPEG")
}
+
+src_install() {
+ emake DESTDIR="${D}" INSTALL_ROOT="${ED}" install
+ einstalldocs
+
+ insinto /usr/share/${PN}/translations
+ doins common/resources/translations/${PN}_*.qm
+}
diff --git a/app-misc/qcma/qcma-9999.ebuild b/app-misc/qcma/qcma-9999.ebuild
index 8522119a39a7..008ee3ac9e92 100644
--- a/app-misc/qcma/qcma-9999.ebuild
+++ b/app-misc/qcma/qcma-9999.ebuild
@@ -27,7 +27,7 @@ DEPEND="
"
RDEPEND="${DEPEND}"
BDEPEND="
- dev-qt/linguist-tools
+ dev-qt/linguist-tools:5
"
src_prepare() {
@@ -40,6 +40,14 @@ src_prepare() {
}
src_configure() {
- lrelease common/resources/translations/*.ts
+ $(qt5_get_bindir)/lrelease common/resources/translations/*.ts || die
eqmake5 PREFIX="${D}"/usr qcma.pro CONFIG+="QT5_SUFFIX" $(usex ffmpeg "" CONFIG+="DISABLE_FFMPEG")
}
+
+src_install() {
+ emake DESTDIR="${D}" INSTALL_ROOT="${ED}" install
+ einstalldocs
+
+ insinto /usr/share/${PN}/translations
+ doins common/resources/translations/${PN}_*.qm
+}
next reply other threads:[~2022-04-06 13:59 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-04-06 13:58 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-31 9:08 [gentoo-commits] repo/gentoo:master commit in: app-misc/qcma/ Andreas Sturmlechner
2024-12-24 11:08 Sam James
2023-05-29 20:53 Sam James
2023-05-29 20:51 Sam James
2022-12-29 0:34 Vadim Misbakh-Soloviov
2022-04-06 13:58 Andreas Sturmlechner
2022-04-06 13:58 Andreas Sturmlechner
2022-04-06 13:58 Andreas Sturmlechner
2022-04-04 16:25 Vadim Misbakh-Soloviov
2022-04-04 16:25 Vadim Misbakh-Soloviov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1649253487.0ab2e0694d1b9dcbed3a0644b11082aa383c0732.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox